Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class MethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey

    public abstract class MethodKey
    extends Object

An abstract base class for a key used for comparators and Map keys to lookup a method by name and parameter types

Authors:
  James Strachan

Version:
  \$Revision: 7753 \$

Constructor Summary
`MethodKey(Class sender, String name, boolean isCallToSuper)`

Method Summary
`MethodKey` | `createCopy()` Creates an immutable copy that we can cache.
`protected int` | `createHashCode()`
`boolean` | `equals(Object that)`
`boolean` | `equals(MethodKey that)`
`String` | `getName()`
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`
`List` | `getParamterTypes()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MethodKey

    public MethodKey(Class sender, String name, boolean isCallToSuper)

Method Detail

### createCopy

    public MethodKey createCopy()

  Creates an immutable copy that we can cache.

### createHashCode

    protected int createHashCode()

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(MethodKey that)

### getName

    public String getName()

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)

### getParamterTypes

    public List getParamterTypes()

### hashCode

    public int hashCode()

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.